camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-10433) The camel-jetty, camel-jetty9 feature should explicitly define the expected feature version range for jetty
Date Wed, 02 Nov 2016 03:18:58 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-10433?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15627507#comment-15627507
] 

ASF GitHub Bot commented on CAMEL-10433:
----------------------------------------

GitHub user xldai opened a pull request:

    https://github.com/apache/camel/pull/1245

    fix CAMEL-10433 in Camel 2.17.x

    

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/xldai/camel patch-3

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/camel/pull/1245.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1245
    
----
commit 20775ecf3b5c211ab309009e78ee7f529ae38645
Author: Xilai Dai <xldai@talend.com>
Date:   2016-11-02T03:13:10Z

    fix CAMEL-10433 in Camel 2.17.x

----


> The camel-jetty, camel-jetty9 feature should explicitly define the expected feature version
range for jetty
> -----------------------------------------------------------------------------------------------------------
>
>                 Key: CAMEL-10433
>                 URL: https://issues.apache.org/jira/browse/CAMEL-10433
>             Project: Camel
>          Issue Type: Bug
>          Components: karaf
>    Affects Versions: 2.16.3, 2.17.3
>         Environment: Java 8
>            Reporter: Xilai Dai
>            Priority: Minor
>
> There is no version range restriction of jetty feature in the camel-jetty and camel-jetty9
feature definition.
> {code}
>     <feature>jetty</feature>
> {code}
> For camel-jetty9 feature, it maybe should add version range like this:
> {code}
>     <feature version='[9,10)'>jetty</feature>
> {code}
> For camel-jetty feature, it maybe should add version range like this:
> {code}
>     <feature version='[8,9)'>jetty</feature>
> {code}
> Because from karaf 4.x there are both jetty 8 and jetty 9 feature existing. Making this
changes will avoid install the wrong version jetty bundles when install camel-jetty (or camel-jetty8
of Camel 2.17.x)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message